{"openapi":"3.1.0","info":{"title":"Dashpoint Organiser Public API","description":"Organisation-scoped HTTPS API for Dashpoint organiser automation and MCP clients. Authenticate with a Dashpoint API key (`Authorization: Bearer dp_live_...`).","version":"0.1.0"},"servers":[{"url":"/v1/public-api","description":"Relative to the service origin (Cloud Run or local)."}],"components":{"securitySchemes":{"apiKeyAuth":{"type":"http","scheme":"bearer","description":"Dashpoint organiser API key generated under Developers -> API keys."}}},"paths":{"/v1/public-api/events":{"post":{"operationId":"createPublicApiEvent","description":"Creates an event owned by the organisation bound to the current API key. organisationID in the body is ignored and replaced with the key organisation.","security":[{"apiKeyAuth":[]}],"tags":["Public API Events"],"responses":{"200":{"description":"Event created.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"success":{"const":true},"eventId":{"type":"string"}},"required":["success","eventId"]}},"required":["success","data"]}}}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"eventName":{"type":"string","minLength":1},"description":{"type":"string","minLength":1},"startDateTime":{"type":"string","minLength":1},"endDateTime":{"type":"string","minLength":1},"timezone":{"type":"string"},"organisationID":{"type":"string"},"organiserUserId":{"type":"string"},"eventType":{"enum":["CONCERT","CONFERENCE","MEETUP","WORKSHOP","PARTY","SPORTS","MUSIC","CLUB_NIGHT","FESTIVAL","COMMUNITY","NETWORKING","CLASS","PERFORMANCE","CASUAL_INVITATION","OTHER"],"type":"string"},"eventImages":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"originalUrl":{"type":"string"},"thumbnailUrl":{"type":"string"},"blurhash":{"type":"string"},"dominantColorHex":{"type":"string"},"altText":{"type":"string"},"width":{"type":"number"},"height":{"type":"number"}},"required":["id","originalUrl","width","height"],"additionalProperties":false}},"venueId":{"type":"string"},"locationName":{"type":"string"},"locationLatLng":{"type":"object","properties":{"latitude":{"type":"number"},"longitude":{"type":"number"}},"required":["latitude","longitude"],"additionalProperties":false},"locationPlaceId":{"type":"string"},"visible":{"type":"boolean"},"listed":{"type":"boolean"},"availableGroups":{"type":"array","items":{"type":"string"}},"parentEventID":{"type":"string"},"linktreeID":{"type":"string"},"tags":{"type":"array","items":{"type":"string"}}},"required":["eventName","description","startDateTime","endDateTime"],"additionalProperties":false}}}}},"get":{"operationId":"listPublicApiEvents","description":"Lists events owned by the organisation bound to the current API key. Includes organiser fields for automation clients.","tags":["Public API Events"],"security":[{"apiKeyAuth":[]}],"responses":{"200":{"description":"Organisation events.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"events":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"anyOf":[{"type":"string"},{"type":"null"}]},"description":{"anyOf":[{"type":"string"},{"type":"null"}]},"listed":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"visible":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"status":{"anyOf":[{"enum":["DRAFT","PENDING_APPROVAL","ACTIVE","REJECTED"],"type":"string"},{"type":"null"}]},"startDateTime":{"anyOf":[{"type":"number"},{"type":"null"}]},"endDateTime":{"anyOf":[{"type":"number"},{"type":"null"}]},"cityId":{"anyOf":[{"type":"string"},{"type":"null"}]},"venueId":{"anyOf":[{"type":"string"},{"type":"null"}]},"venueName":{"anyOf":[{"type":"string"},{"type":"null"}]},"organisationId":{"anyOf":[{"type":"string"},{"type":"null"}]},"organisationName":{"anyOf":[{"type":"string"},{"type":"null"}]},"coverImageUrl":{"anyOf":[{"type":"string"},{"type":"null"}]},"tags":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"recommended":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"activeFeatures":{"anyOf":[{"type":"array","items":{"enum":["MAP","CALENDAR","WEBVIEW","CHANNELS","TICKETING","TEAMS","GAUDILYMPICS","PAYMENTS","AWARENESS","SUPPORT","ATTENDEES"],"type":"string"}},{"type":"null"}]},"awarenessConfig":{"anyOf":[{"type":"object","properties":{"emergencyPhoneNumber":{"type":"string"},"awarenessDescription":{"type":"string"},"awarenessButtonImage":{"type":"object","properties":{"id":{"type":"string"},"originalUrl":{"type":"string"},"thumbnailUrl":{"type":"string"},"blurhash":{"type":"string"},"dominantColorHex":{"type":"string"},"altText":{"type":"string"},"width":{"type":"number"},"height":{"type":"number"}},"required":["id","originalUrl","width","height"],"additionalProperties":false},"awarenessButtonImageURL":{"type":"string"}},"required":[]},{"type":"null"}]},"onEventPaymentsConfig":{"anyOf":[{"type":"object","properties":{"activated":{"type":"boolean"},"hasExternalPaymentProvider":{"type":"boolean"},"externalPaymentProvider":{"type":"object","properties":{"hasTopUp":{"type":"boolean"},"topUpURL":{"type":"string"}},"required":[],"additionalProperties":false}},"required":[]},{"type":"null"}]},"ticketingId":{"anyOf":[{"type":"string"},{"type":"null"}]},"rejectionReason":{"anyOf":[{"type":"string"},{"type":"null"}]},"timezone":{"anyOf":[{"type":"string"},{"type":"null"}]},"eventType":{"anyOf":[{"enum":["CONCERT","CONFERENCE","MEETUP","WORKSHOP","PARTY","SPORTS","MUSIC","CLUB_NIGHT","FESTIVAL","COMMUNITY","NETWORKING","CLASS","PERFORMANCE","CASUAL_INVITATION","OTHER"],"type":"string"},{"type":"null"}]},"eventImages":{"anyOf":[{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"originalUrl":{"type":"string"},"thumbnailUrl":{"type":"string"},"blurhash":{"type":"string"},"dominantColorHex":{"type":"string"},"altText":{"type":"string"},"width":{"type":"number"},"height":{"type":"number"}},"required":["id","originalUrl","width","height"],"additionalProperties":false}},{"type":"null"}]},"organiserUserId":{"anyOf":[{"type":"string"},{"type":"null"}]},"linktreeId":{"anyOf":[{"type":"string"},{"type":"null"}]},"parentEventId":{"anyOf":[{"type":"string"},{"type":"null"}]},"parentEventGroups":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"availableGroups":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"linkedOrganisationIds":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"atMapLocationIds":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"showAssetBookingsInTicketDetails":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"ticketingMode":{"anyOf":[{"enum":["integrated","webview","disabled"],"type":"string"},{"type":"null"}]},"hideTime":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"locationName":{"anyOf":[{"type":"string"},{"type":"null"}]},"locationLatLng":{"anyOf":[{"type":"object","properties":{"latitude":{"type":"number"},"longitude":{"type":"number"}},"required":["latitude","longitude"],"additionalProperties":false},{"type":"null"}]},"locationPlaceId":{"anyOf":[{"type":"string"},{"type":"null"}]},"deletionPreview":{"type":"object","properties":{"canDelete":{"type":"boolean"},"ticketsSold":{"type":"number"},"eventUsers":{"type":"number"},"timetables":{"type":"number"},"maps":{"type":"number"},"ticketings":{"type":"number"}},"required":["canDelete","ticketsSold","eventUsers","timetables","maps","ticketings"]}},"required":["id","name","description","listed","visible","status","startDateTime","endDateTime","cityId","venueId","venueName","organisationId","organisationName","coverImageUrl","tags","recommended","activeFeatures","awarenessConfig","onEventPaymentsConfig","ticketingId","rejectionReason","timezone","eventType","eventImages","organiserUserId","linktreeId","parentEventId","parentEventGroups","availableGroups","linkedOrganisationIds","atMapLocationIds","showAssetBookingsInTicketDetails","ticketingMode","hideTime","locationName","locationLatLng","locationPlaceId"],"additionalProperties":false}}},"required":["events"],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"query","name":"limit","schema":{"type":"string"}},{"in":"query","name":"search","schema":{"type":"string"}},{"in":"query","name":"view","schema":{"enum":["summary","detail"],"type":"string"}}]}},"/v1/public-api/events/{eventId}":{"patch":{"operationId":"patchPublicApiEvent","description":"Updates organiser-safe fields on an organisation-owned event.","security":[{"apiKeyAuth":[]}],"tags":["Public API Events"],"responses":{"200":{"description":"Updated.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{},"required":[],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"eventId","schema":{"type":"string","minLength":1},"required":true}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":500},"description":{"type":"string","maxLength":50000},"visible":{"type":"boolean"},"listed":{"type":"boolean"},"recommended":{"type":"boolean"},"activeFeatures":{"type":"array","items":{"enum":["MAP","CALENDAR","WEBVIEW","CHANNELS","TICKETING","TEAMS","GAUDILYMPICS","PAYMENTS","AWARENESS","SUPPORT","ATTENDEES"],"type":"string"}},"awarenessConfig":{"type":"object","properties":{},"required":[]},"onEventPaymentsConfig":{"type":"object","properties":{"activated":{"type":"boolean"},"hasExternalPaymentProvider":{"type":"boolean"},"externalPaymentProvider":{"type":"object","properties":{"hasTopUp":{"type":"boolean"},"topUpURL":{"type":"string"}},"required":[]}},"required":[]},"timezone":{"type":"string"},"eventType":{"enum":["CONCERT","CONFERENCE","MEETUP","WORKSHOP","PARTY","SPORTS","MUSIC","CLUB_NIGHT","FESTIVAL","COMMUNITY","NETWORKING","CLASS","PERFORMANCE","CASUAL_INVITATION","OTHER"],"type":"string"},"tags":{"type":"array","items":{"type":"string"}},"availableGroups":{"type":"array","items":{"type":"string"}},"hideTime":{"type":"boolean"},"showAssetBookingsInTicketDetails":{"type":"boolean"},"ticketingMode":{"type":"string"},"linkedOrganisationIds":{"type":"array","items":{"type":"string"}},"atMapLocationIds":{"type":"array","items":{"type":"string"}},"venueId":{"anyOf":[{"type":"string"},{"type":"null"}]},"locationName":{"anyOf":[{"type":"string"},{"type":"null"}]},"locationLatLng":{"anyOf":[{"type":"object","properties":{"latitude":{"type":"number"},"longitude":{"type":"number"}},"required":["latitude","longitude"],"additionalProperties":false},{"type":"null"}]},"locationPlaceId":{"anyOf":[{"type":"string"},{"type":"null"}]},"startDateTime":{"type":"number"},"endDateTime":{"type":"number"},"eventImages":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"originalUrl":{"type":"string"},"originalStoragePath":{"type":"string"},"mimeType":{"type":"string"},"originalFileSizeBytes":{"type":"number"},"thumbnailUrl":{"type":"string"},"thumbnailStoragePath":{"type":"string"},"thumbnailMimeType":{"type":"string"},"thumbnailFileSizeBytes":{"type":"number"},"thumbnailWidth":{"type":"number"},"thumbnailHeight":{"type":"number"},"thumbnailBlurhash":{"type":"string"},"blurhash":{"type":"string"},"placeholderDataUrl":{"type":"string"},"dominantColorHex":{"type":"string"},"altText":{"type":"string"},"width":{"type":"number"},"height":{"type":"number"},"aspectRatio":{"type":"number"},"focalX":{"type":"number"},"focalY":{"type":"number"},"uploadedAt":{"type":"number"},"updatedAt":{"type":"number"},"labels":{"type":"array","items":{"type":"string"}},"metadata":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"anyOf":[{"type":"string"},{"type":"number"},{"type":"boolean"},{"type":"null"}]}}},"required":["id","originalUrl"],"additionalProperties":false}},"parentEventId":{"type":"string"},"parentEventGroups":{"type":"array","items":{"type":"string"}},"action":{"enum":["submit","approve","reject","unpublish","publish"],"type":"string"},"reason":{"type":"string"},"recalculatePricing":{"type":"boolean"}},"required":[],"additionalProperties":false}}}}},"get":{"operationId":"getPublicApiEvent","description":"Returns an event owned by the organisation bound to the current API key. Cross-organisation events return 404.","tags":["Public API Events"],"security":[{"apiKeyAuth":[]}],"responses":{"200":{"description":"Event detail.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"id":{"type":"string"},"name":{"anyOf":[{"type":"string"},{"type":"null"}]},"description":{"anyOf":[{"type":"string"},{"type":"null"}]},"listed":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"visible":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"status":{"anyOf":[{"enum":["DRAFT","PENDING_APPROVAL","ACTIVE","REJECTED"],"type":"string"},{"type":"null"}]},"startDateTime":{"anyOf":[{"type":"number"},{"type":"null"}]},"endDateTime":{"anyOf":[{"type":"number"},{"type":"null"}]},"cityId":{"anyOf":[{"type":"string"},{"type":"null"}]},"venueId":{"anyOf":[{"type":"string"},{"type":"null"}]},"venueName":{"anyOf":[{"type":"string"},{"type":"null"}]},"organisationId":{"anyOf":[{"type":"string"},{"type":"null"}]},"organisationName":{"anyOf":[{"type":"string"},{"type":"null"}]},"coverImageUrl":{"anyOf":[{"type":"string"},{"type":"null"}]},"tags":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"recommended":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"activeFeatures":{"anyOf":[{"type":"array","items":{"enum":["MAP","CALENDAR","WEBVIEW","CHANNELS","TICKETING","TEAMS","GAUDILYMPICS","PAYMENTS","AWARENESS","SUPPORT","ATTENDEES"],"type":"string"}},{"type":"null"}]},"awarenessConfig":{"anyOf":[{"type":"object","properties":{"emergencyPhoneNumber":{"type":"string"},"awarenessDescription":{"type":"string"},"awarenessButtonImage":{"type":"object","properties":{"id":{"type":"string"},"originalUrl":{"type":"string"},"thumbnailUrl":{"type":"string"},"blurhash":{"type":"string"},"dominantColorHex":{"type":"string"},"altText":{"type":"string"},"width":{"type":"number"},"height":{"type":"number"}},"required":["id","originalUrl","width","height"],"additionalProperties":false},"awarenessButtonImageURL":{"type":"string"}},"required":[]},{"type":"null"}]},"onEventPaymentsConfig":{"anyOf":[{"type":"object","properties":{"activated":{"type":"boolean"},"hasExternalPaymentProvider":{"type":"boolean"},"externalPaymentProvider":{"type":"object","properties":{"hasTopUp":{"type":"boolean"},"topUpURL":{"type":"string"}},"required":[],"additionalProperties":false}},"required":[]},{"type":"null"}]},"ticketingId":{"anyOf":[{"type":"string"},{"type":"null"}]},"rejectionReason":{"anyOf":[{"type":"string"},{"type":"null"}]},"timezone":{"anyOf":[{"type":"string"},{"type":"null"}]},"eventType":{"anyOf":[{"enum":["CONCERT","CONFERENCE","MEETUP","WORKSHOP","PARTY","SPORTS","MUSIC","CLUB_NIGHT","FESTIVAL","COMMUNITY","NETWORKING","CLASS","PERFORMANCE","CASUAL_INVITATION","OTHER"],"type":"string"},{"type":"null"}]},"eventImages":{"anyOf":[{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"originalUrl":{"type":"string"},"thumbnailUrl":{"type":"string"},"blurhash":{"type":"string"},"dominantColorHex":{"type":"string"},"altText":{"type":"string"},"width":{"type":"number"},"height":{"type":"number"}},"required":["id","originalUrl","width","height"],"additionalProperties":false}},{"type":"null"}]},"organiserUserId":{"anyOf":[{"type":"string"},{"type":"null"}]},"linktreeId":{"anyOf":[{"type":"string"},{"type":"null"}]},"parentEventId":{"anyOf":[{"type":"string"},{"type":"null"}]},"parentEventGroups":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"availableGroups":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"linkedOrganisationIds":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"atMapLocationIds":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"showAssetBookingsInTicketDetails":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"ticketingMode":{"anyOf":[{"enum":["integrated","webview","disabled"],"type":"string"},{"type":"null"}]},"hideTime":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"locationName":{"anyOf":[{"type":"string"},{"type":"null"}]},"locationLatLng":{"anyOf":[{"type":"object","properties":{"latitude":{"type":"number"},"longitude":{"type":"number"}},"required":["latitude","longitude"],"additionalProperties":false},{"type":"null"}]},"locationPlaceId":{"anyOf":[{"type":"string"},{"type":"null"}]},"deletionPreview":{"type":"object","properties":{"canDelete":{"type":"boolean"},"ticketsSold":{"type":"number"},"eventUsers":{"type":"number"},"timetables":{"type":"number"},"maps":{"type":"number"},"ticketings":{"type":"number"}},"required":["canDelete","ticketsSold","eventUsers","timetables","maps","ticketings"]}},"required":["id","name","description","listed","visible","status","startDateTime","endDateTime","cityId","venueId","venueName","organisationId","organisationName","coverImageUrl","tags","recommended","activeFeatures","awarenessConfig","onEventPaymentsConfig","ticketingId","rejectionReason","timezone","eventType","eventImages","organiserUserId","linktreeId","parentEventId","parentEventGroups","availableGroups","linkedOrganisationIds","atMapLocationIds","showAssetBookingsInTicketDetails","ticketingMode","hideTime","locationName","locationLatLng","locationPlaceId"],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"eventId","schema":{"type":"string","minLength":1},"required":true}]}},"/v1/public-api/events/{eventId}/posts":{"get":{"operationId":"listPublicApiEventPosts","description":"Lists event posts for organiser automation clients, including drafts and scheduled posts.","security":[{"apiKeyAuth":[]}],"tags":["Public API Posts"],"responses":{"200":{"description":"Post rows.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"posts":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"eventId":{"anyOf":[{"type":"string"},{"type":"null"}]},"postDescription":{"anyOf":[{"type":"string"},{"type":"null"}]},"postImages":{"anyOf":[{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"originalUrl":{"type":"string"},"thumbnailUrl":{"type":"string"},"blurhash":{"type":"string"},"dominantColorHex":{"type":"string"},"altText":{"type":"string"},"width":{"type":"number"},"height":{"type":"number"}},"required":["id","originalUrl","width","height"],"additionalProperties":false}},{"type":"null"}]},"postPhoto":{"anyOf":[{"type":"string"},{"type":"null"}]},"status":{"anyOf":[{"enum":["VISIBLE","HIDDEN","SCHEDULED"],"type":"string"},{"type":"null"}]},"timePosted":{"anyOf":[{"type":"number"},{"type":"null"}]},"groups":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"sendPush":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"pushTitle":{"anyOf":[{"type":"string"},{"type":"null"}]},"pushBody":{"anyOf":[{"type":"string"},{"type":"null"}]},"postUserId":{"anyOf":[{"type":"string"},{"type":"null"}]},"organisationId":{"anyOf":[{"type":"string"},{"type":"null"}]},"pushSent":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"likesCount":{"anyOf":[{"type":"number"},{"type":"null"}]}},"required":["id","eventId","postDescription","postImages","postPhoto","status","timePosted","groups","sendPush","pushTitle","pushBody","postUserId","organisationId","pushSent","likesCount"],"additionalProperties":false}}},"required":["posts"],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"eventId","schema":{"type":"string","minLength":1},"required":true},{"in":"query","name":"limit","schema":{"type":"string"}}]},"post":{"operationId":"createPublicApiEventPost","description":"Creates a post under an event. Passing sourceEventId copies posts from another accessible event.","security":[{"apiKeyAuth":[]}],"tags":["Public API Posts"],"responses":{"200":{"description":"Created post DTO or copy result.","content":{"application/json":{"schema":{"anyOf":[{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"id":{"type":"string"},"eventId":{"anyOf":[{"type":"string"},{"type":"null"}]},"postDescription":{"anyOf":[{"type":"string"},{"type":"null"}]},"postImages":{"anyOf":[{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"originalUrl":{"type":"string"},"thumbnailUrl":{"type":"string"},"blurhash":{"type":"string"},"dominantColorHex":{"type":"string"},"altText":{"type":"string"},"width":{"type":"number"},"height":{"type":"number"}},"required":["id","originalUrl","width","height"],"additionalProperties":false}},{"type":"null"}]},"postPhoto":{"anyOf":[{"type":"string"},{"type":"null"}]},"status":{"anyOf":[{"enum":["VISIBLE","HIDDEN","SCHEDULED"],"type":"string"},{"type":"null"}]},"timePosted":{"anyOf":[{"type":"number"},{"type":"null"}]},"groups":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"sendPush":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"pushTitle":{"anyOf":[{"type":"string"},{"type":"null"}]},"pushBody":{"anyOf":[{"type":"string"},{"type":"null"}]},"postUserId":{"anyOf":[{"type":"string"},{"type":"null"}]},"organisationId":{"anyOf":[{"type":"string"},{"type":"null"}]},"pushSent":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"likesCount":{"anyOf":[{"type":"number"},{"type":"null"}]}},"required":["id","eventId","postDescription","postImages","postPhoto","status","timePosted","groups","sendPush","pushTitle","pushBody","postUserId","organisationId","pushSent","likesCount"],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false},{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"postsCopied":{"type":"number"}},"required":["postsCopied"]}},"required":["success","data"],"additionalProperties":false}]}}}}},"parameters":[{"in":"path","name":"eventId","schema":{"type":"string","minLength":1},"required":true}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"postDescription":{"type":"string","maxLength":100000},"status":{"enum":["VISIBLE","HIDDEN","SCHEDULED"],"type":"string"},"postImages":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"originalUrl":{"type":"string"},"thumbnailUrl":{"type":"string"},"blurhash":{"type":"string"},"dominantColorHex":{"type":"string"},"altText":{"type":"string"}},"required":["originalUrl"],"additionalProperties":false}},"sendPush":{"type":"boolean"},"pushTitle":{"type":"string","maxLength":500},"pushBody":{"type":"string","maxLength":10000},"groups":{"type":"array","items":{"type":"string","minLength":1,"maxLength":120}},"organisationId":{"type":"string","minLength":1},"scheduledTime":{"type":"string","minLength":1},"sourceEventId":{"type":"string","minLength":1},"postIds":{"type":"array","items":{"type":"string","minLength":1}},"skipScheduled":{"type":"boolean"}},"required":[],"additionalProperties":false}}}}}},"/v1/public-api/events/{eventId}/posts/{postId}":{"get":{"operationId":"getPublicApiEventPost","description":"Returns one event post for organiser automation clients.","security":[{"apiKeyAuth":[]}],"tags":["Public API Posts"],"responses":{"200":{"description":"Post row.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"id":{"type":"string"},"eventId":{"anyOf":[{"type":"string"},{"type":"null"}]},"postDescription":{"anyOf":[{"type":"string"},{"type":"null"}]},"postImages":{"anyOf":[{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"originalUrl":{"type":"string"},"thumbnailUrl":{"type":"string"},"blurhash":{"type":"string"},"dominantColorHex":{"type":"string"},"altText":{"type":"string"},"width":{"type":"number"},"height":{"type":"number"}},"required":["id","originalUrl","width","height"],"additionalProperties":false}},{"type":"null"}]},"postPhoto":{"anyOf":[{"type":"string"},{"type":"null"}]},"status":{"anyOf":[{"enum":["VISIBLE","HIDDEN","SCHEDULED"],"type":"string"},{"type":"null"}]},"timePosted":{"anyOf":[{"type":"number"},{"type":"null"}]},"groups":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"sendPush":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"pushTitle":{"anyOf":[{"type":"string"},{"type":"null"}]},"pushBody":{"anyOf":[{"type":"string"},{"type":"null"}]},"postUserId":{"anyOf":[{"type":"string"},{"type":"null"}]},"organisationId":{"anyOf":[{"type":"string"},{"type":"null"}]},"pushSent":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"likesCount":{"anyOf":[{"type":"number"},{"type":"null"}]}},"required":["id","eventId","postDescription","postImages","postPhoto","status","timePosted","groups","sendPush","pushTitle","pushBody","postUserId","organisationId","pushSent","likesCount"],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"eventId","schema":{"type":"string","minLength":1},"required":true},{"in":"path","name":"postId","schema":{"type":"string","minLength":1},"required":true}]},"patch":{"operationId":"patchPublicApiEventPost","description":"Partially updates a post that belongs to an organisation-owned event.","security":[{"apiKeyAuth":[]}],"tags":["Public API Posts"],"responses":{"200":{"description":"Updated post DTO.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"id":{"type":"string"},"eventId":{"anyOf":[{"type":"string"},{"type":"null"}]},"postDescription":{"anyOf":[{"type":"string"},{"type":"null"}]},"postImages":{"anyOf":[{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"originalUrl":{"type":"string"},"thumbnailUrl":{"type":"string"},"blurhash":{"type":"string"},"dominantColorHex":{"type":"string"},"altText":{"type":"string"},"width":{"type":"number"},"height":{"type":"number"}},"required":["id","originalUrl","width","height"],"additionalProperties":false}},{"type":"null"}]},"postPhoto":{"anyOf":[{"type":"string"},{"type":"null"}]},"status":{"anyOf":[{"enum":["VISIBLE","HIDDEN","SCHEDULED"],"type":"string"},{"type":"null"}]},"timePosted":{"anyOf":[{"type":"number"},{"type":"null"}]},"groups":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"sendPush":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"pushTitle":{"anyOf":[{"type":"string"},{"type":"null"}]},"pushBody":{"anyOf":[{"type":"string"},{"type":"null"}]},"postUserId":{"anyOf":[{"type":"string"},{"type":"null"}]},"organisationId":{"anyOf":[{"type":"string"},{"type":"null"}]},"pushSent":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"likesCount":{"anyOf":[{"type":"number"},{"type":"null"}]}},"required":["id","eventId","postDescription","postImages","postPhoto","status","timePosted","groups","sendPush","pushTitle","pushBody","postUserId","organisationId","pushSent","likesCount"],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"eventId","schema":{"type":"string","minLength":1},"required":true},{"in":"path","name":"postId","schema":{"type":"string","minLength":1},"required":true}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"postDescription":{"type":"string","maxLength":100000},"status":{"enum":["VISIBLE","HIDDEN","SCHEDULED"],"type":"string"},"postImages":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"originalUrl":{"type":"string"},"thumbnailUrl":{"type":"string"},"blurhash":{"type":"string"},"dominantColorHex":{"type":"string"},"altText":{"type":"string"}},"required":["originalUrl"],"additionalProperties":false}},"sendPush":{"type":"boolean"},"pushTitle":{"anyOf":[{"type":"string","maxLength":500},{"const":""}]},"pushBody":{"anyOf":[{"type":"string","maxLength":10000},{"const":""}]},"groups":{"type":"array","items":{"type":"string","minLength":1,"maxLength":120}},"organisationId":{"type":"string","minLength":1},"scheduledTime":{"anyOf":[{"type":"string","minLength":1},{"const":""}]},"publishNow":{"const":true}},"required":[],"additionalProperties":false}}}}},"delete":{"operationId":"deletePublicApiEventPost","description":"Deletes a post that belongs to an organisation-owned event.","security":[{"apiKeyAuth":[]}],"tags":["Public API Posts"],"responses":{"200":{"description":"Deleted.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{},"required":[],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"eventId","schema":{"type":"string","minLength":1},"required":true},{"in":"path","name":"postId","schema":{"type":"string","minLength":1},"required":true}]}},"/v1/public-api/ticketings/{ticketingId}/search":{"get":{"operationId":"searchPublicApiTicketingRecords","description":"Searches tickets and orders in an organisation-owned ticketing.","security":[{"apiKeyAuth":[]}],"tags":["Public API Ticketing"],"responses":{"200":{"description":"Search results.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"tickets":{"type":"array","items":{"type":"object","properties":{"ticketId":{"type":"string"},"ticketingId":{"type":"string"},"categoryId":{"anyOf":[{"type":"string"},{"type":"null"}]},"eventId":{"anyOf":[{"type":"string"},{"type":"null"}]},"addonOfTicketId":{"anyOf":[{"type":"string"},{"type":"null"}]},"eventName":{"anyOf":[{"type":"string"},{"type":"null"}]},"name":{"anyOf":[{"type":"string"},{"type":"null"}]},"attendeeName":{"anyOf":[{"type":"string"},{"type":"null"}]},"attendeeEmail":{"anyOf":[{"type":"string"},{"type":"null"}]},"attendeePhone":{"anyOf":[{"type":"string"},{"type":"null"}]},"barcode":{"anyOf":[{"type":"string"},{"type":"null"}]},"status":{"anyOf":[{"enum":["AVAILABLE","RESERVED","PAYMENT_PENDING","SOLD","CANCELLED","RESET","CHECKED_IN","ATTENDED","REFUNDED","TRANSFERED","RESALE_LISTED"],"type":"string"},{"type":"null"}]},"checkedIn":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"ownerId":{"anyOf":[{"type":"string"},{"type":"null"}]},"createdAt":{"anyOf":[{"type":"number"},{"type":"null"}]}},"required":["ticketId","ticketingId","categoryId","eventId","addonOfTicketId","eventName","name","attendeeName","attendeeEmail","attendeePhone","barcode","status","checkedIn","ownerId","createdAt"],"additionalProperties":false}},"orders":{"type":"array","items":{"type":"object","properties":{"orderId":{"type":"string"},"ticketingId":{"type":"string"},"eventId":{"anyOf":[{"type":"string"},{"type":"null"}]},"eventName":{"anyOf":[{"type":"string"},{"type":"null"}]},"buyerName":{"anyOf":[{"type":"string"},{"type":"null"}]},"buyerEmail":{"anyOf":[{"type":"string"},{"type":"null"}]},"buyerPhone":{"anyOf":[{"type":"string"},{"type":"null"}]},"buyerId":{"anyOf":[{"type":"string"},{"type":"null"}]},"status":{"anyOf":[{"enum":["OPEN","PAID","CANCELED","PARTIALLY_CANCELED","PAYMENT_PENDING","REFUNDED"],"type":"string"},{"type":"null"}]},"totalPrice":{"anyOf":[{"type":"number"},{"type":"null"}]},"currency":{"anyOf":[{"enum":["EUR"],"type":"string"},{"type":"null"}]},"orderCreatedAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"ticketIds":{"type":"array","items":{"type":"string"}}},"required":["orderId","ticketingId","eventId","eventName","buyerName","buyerEmail","buyerPhone","buyerId","status","totalPrice","currency","orderCreatedAt","ticketIds"],"additionalProperties":false}}},"required":["tickets","orders"],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"ticketingId","schema":{"type":"string","minLength":1},"required":true},{"in":"query","name":"q","schema":{"type":"string"}},{"in":"query","name":"limit","schema":{"type":"string"}}]}},"/v1/public-api/ticketings/{ticketingId}/tickets":{"get":{"operationId":"listPublicApiTicketingTickets","description":"Lists tickets for custom check-in and support clients.","security":[{"apiKeyAuth":[]}],"tags":["Public API Ticketing"],"responses":{"200":{"description":"Ticket list.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"tickets":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"ticketingId":{"type":"string"},"categoryId":{"type":"string"},"ownerUserId":{"anyOf":[{"type":"string"},{"type":"null"}]},"eventId":{"type":"string"},"addonOfTicketId":{"anyOf":[{"type":"string"},{"type":"null"}]},"orderDocId":{"anyOf":[{"type":"string"},{"type":"null"}]},"couponUsedId":{"anyOf":[{"type":"string"},{"type":"null"}]},"addonTicketIds":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"reservedBySessionId":{"anyOf":[{"type":"string"},{"type":"null"}]},"transferId":{"anyOf":[{"type":"string"},{"type":"null"}]},"ticketId":{"anyOf":[{"type":"string"},{"type":"null"}]},"basePrice":{"anyOf":[{"type":"number"},{"type":"null"}]},"tax":{"anyOf":[{"type":"number"},{"type":"null"}]},"totalPrice":{"anyOf":[{"type":"number"},{"type":"null"}]},"currency":{"anyOf":[{"enum":["EUR"],"type":"string"},{"type":"null"}]},"ownerId":{"anyOf":[{"type":"string"},{"type":"null"}]},"checkedIn":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"attended":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"status":{"anyOf":[{"enum":["AVAILABLE","RESERVED","PAYMENT_PENDING","SOLD","CANCELLED","RESET","CHECKED_IN","ATTENDED","REFUNDED","TRANSFERED","RESALE_LISTED"],"type":"string"},{"type":"null"}]},"reservedAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"discount":{"anyOf":[{"type":"number"},{"type":"null"}]},"fee":{"anyOf":[{"type":"number"},{"type":"null"}]},"name":{"anyOf":[{"type":"string"},{"type":"null"}]},"emoji":{"anyOf":[{"type":"string"},{"type":"null"}]},"barcode":{"anyOf":[{"type":"string"},{"type":"null"}]},"source":{"anyOf":[{"enum":["TICKET_TAILOR"],"type":"string"},{"type":"null"}]},"userData":{"anyOf":[{"type":"string"},{"type":"null"}]},"attendeeName":{"anyOf":[{"type":"string"},{"type":"null"}]},"attendeeEmail":{"anyOf":[{"type":"string"},{"type":"null"}]},"attendeePhone":{"anyOf":[{"type":"string"},{"type":"null"}]},"claimable":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"claim_secret":{"anyOf":[{"type":"string"},{"type":"null"}]},"transferable":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"userDataValid":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"orderId":{"anyOf":[{"type":"string"},{"type":"null"}]},"transferStatus":{"anyOf":[{"enum":["OPEN","DISMISSED","CANCELED","TRANSFERED"],"type":"string"},{"type":"null"}]},"ticketUrl":{"anyOf":[{"type":"string"},{"type":"null"}]},"createdAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"updatedAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"cancelledAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"replacementForTicketId":{"anyOf":[{"type":"string"},{"type":"null"}]},"resaleListingId":{"anyOf":[{"type":"string"},{"type":"null"}]},"groups":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"permissions":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"otherTicketData":{"anyOf":[{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"string"},"label":{"type":"string"},"type":{"type":"string"},"userDataKey":{"type":"string"}},"required":[],"additionalProperties":false}},{"type":"null"}]},"userDataValidation":{"anyOf":[{"type":"array","items":{"type":"object","properties":{"valid":{"type":"boolean"},"fieldID":{"type":"string"},"error_message":{"type":"string"},"fieldId":{"type":"string"},"isValid":{"type":"boolean"},"errorMessage":{"type":"string"}},"required":[],"additionalProperties":false}},{"type":"null"}]},"transferHistory":{"anyOf":[{"type":"array","items":{"type":"object","properties":{"fromUserId":{"type":"string"},"fromDisplayName":{"type":"string"},"toUserId":{"type":"string"},"toEmail":{"type":"string"},"transferredAt":{"type":"number"},"note":{"type":"string"}},"required":[],"additionalProperties":false}},{"type":"null"}]}},"required":["id","ticketingId","categoryId","ownerUserId","eventId","addonOfTicketId","orderDocId","couponUsedId","addonTicketIds","reservedBySessionId","transferId","ticketId","basePrice","tax","totalPrice","currency","ownerId","checkedIn","attended","status","reservedAt","discount","fee","name","emoji","barcode","source","userData","attendeeName","attendeeEmail","attendeePhone","claimable","claim_secret","transferable","userDataValid","orderId","transferStatus","ticketUrl","createdAt","updatedAt","cancelledAt","replacementForTicketId","resaleListingId","groups","permissions","otherTicketData","userDataValidation","transferHistory"],"additionalProperties":false}},"nextCursor":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["tickets","nextCursor"],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"ticketingId","schema":{"type":"string","minLength":1},"required":true},{"in":"query","name":"status","schema":{"type":"string"}},{"in":"query","name":"checkedIn","schema":{"enum":["true","false"],"type":"string"}},{"in":"query","name":"searchTerm","schema":{"type":"string"}},{"in":"query","name":"limit","schema":{"type":"string"}},{"in":"query","name":"cursor","schema":{"type":"string"}}]}},"/v1/public-api/ticketings/{ticketingId}/tickets/{ticketId}":{"get":{"operationId":"getPublicApiTicketingTicket","description":"Returns one ticket for an organisation-owned ticketing.","security":[{"apiKeyAuth":[]}],"tags":["Public API Ticketing"],"responses":{"200":{"description":"Ticket detail.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"ticket":{"type":"object","properties":{"id":{"type":"string"},"ticketingId":{"type":"string"},"categoryId":{"type":"string"},"ownerUserId":{"anyOf":[{"type":"string"},{"type":"null"}]},"eventId":{"type":"string"},"addonOfTicketId":{"anyOf":[{"type":"string"},{"type":"null"}]},"orderDocId":{"anyOf":[{"type":"string"},{"type":"null"}]},"couponUsedId":{"anyOf":[{"type":"string"},{"type":"null"}]},"addonTicketIds":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"reservedBySessionId":{"anyOf":[{"type":"string"},{"type":"null"}]},"transferId":{"anyOf":[{"type":"string"},{"type":"null"}]},"ticketId":{"anyOf":[{"type":"string"},{"type":"null"}]},"basePrice":{"anyOf":[{"type":"number"},{"type":"null"}]},"tax":{"anyOf":[{"type":"number"},{"type":"null"}]},"totalPrice":{"anyOf":[{"type":"number"},{"type":"null"}]},"currency":{"anyOf":[{"enum":["EUR"],"type":"string"},{"type":"null"}]},"ownerId":{"anyOf":[{"type":"string"},{"type":"null"}]},"checkedIn":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"attended":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"status":{"anyOf":[{"enum":["AVAILABLE","RESERVED","PAYMENT_PENDING","SOLD","CANCELLED","RESET","CHECKED_IN","ATTENDED","REFUNDED","TRANSFERED","RESALE_LISTED"],"type":"string"},{"type":"null"}]},"reservedAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"discount":{"anyOf":[{"type":"number"},{"type":"null"}]},"fee":{"anyOf":[{"type":"number"},{"type":"null"}]},"name":{"anyOf":[{"type":"string"},{"type":"null"}]},"emoji":{"anyOf":[{"type":"string"},{"type":"null"}]},"barcode":{"anyOf":[{"type":"string"},{"type":"null"}]},"source":{"anyOf":[{"enum":["TICKET_TAILOR"],"type":"string"},{"type":"null"}]},"userData":{"anyOf":[{"type":"string"},{"type":"null"}]},"attendeeName":{"anyOf":[{"type":"string"},{"type":"null"}]},"attendeeEmail":{"anyOf":[{"type":"string"},{"type":"null"}]},"attendeePhone":{"anyOf":[{"type":"string"},{"type":"null"}]},"claimable":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"claim_secret":{"anyOf":[{"type":"string"},{"type":"null"}]},"transferable":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"userDataValid":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"orderId":{"anyOf":[{"type":"string"},{"type":"null"}]},"transferStatus":{"anyOf":[{"enum":["OPEN","DISMISSED","CANCELED","TRANSFERED"],"type":"string"},{"type":"null"}]},"ticketUrl":{"anyOf":[{"type":"string"},{"type":"null"}]},"createdAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"updatedAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"cancelledAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"replacementForTicketId":{"anyOf":[{"type":"string"},{"type":"null"}]},"resaleListingId":{"anyOf":[{"type":"string"},{"type":"null"}]},"groups":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"permissions":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"otherTicketData":{"anyOf":[{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"string"},"label":{"type":"string"},"type":{"type":"string"},"userDataKey":{"type":"string"}},"required":[],"additionalProperties":false}},{"type":"null"}]},"userDataValidation":{"anyOf":[{"type":"array","items":{"type":"object","properties":{"valid":{"type":"boolean"},"fieldID":{"type":"string"},"error_message":{"type":"string"},"fieldId":{"type":"string"},"isValid":{"type":"boolean"},"errorMessage":{"type":"string"}},"required":[],"additionalProperties":false}},{"type":"null"}]},"transferHistory":{"anyOf":[{"type":"array","items":{"type":"object","properties":{"fromUserId":{"type":"string"},"fromDisplayName":{"type":"string"},"toUserId":{"type":"string"},"toEmail":{"type":"string"},"transferredAt":{"type":"number"},"note":{"type":"string"}},"required":[],"additionalProperties":false}},{"type":"null"}]}},"required":["id","ticketingId","categoryId","ownerUserId","eventId","addonOfTicketId","orderDocId","couponUsedId","addonTicketIds","reservedBySessionId","transferId","ticketId","basePrice","tax","totalPrice","currency","ownerId","checkedIn","attended","status","reservedAt","discount","fee","name","emoji","barcode","source","userData","attendeeName","attendeeEmail","attendeePhone","claimable","claim_secret","transferable","userDataValid","orderId","transferStatus","ticketUrl","createdAt","updatedAt","cancelledAt","replacementForTicketId","resaleListingId","groups","permissions","otherTicketData","userDataValidation","transferHistory"],"additionalProperties":false},"transferSummary":{"anyOf":[{"type":"object","properties":{"transferId":{"type":"string"},"status":{"anyOf":[{"type":"string"},{"type":"null"}]},"transferToEmail":{"anyOf":[{"type":"string"},{"type":"null"}]},"createdAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"deleteUserData":{"anyOf":[{"type":"boolean"},{"type":"null"}]}},"required":["transferId","status","transferToEmail","createdAt","deleteUserData"],"additionalProperties":false},{"type":"null"}]}},"required":["ticket","transferSummary"],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"ticketingId","schema":{"type":"string","minLength":1},"required":true},{"in":"path","name":"ticketId","schema":{"type":"string","minLength":1},"required":true}]}},"/v1/public-api/ticketings/{ticketingId}/check-in":{"post":{"operationId":"createPublicApiTicketingCheckin","description":"Checks a ticket in or out using barcode, ticket id, or wallet credential. Intended for speedgates and custom check-in clients.","security":[{"apiKeyAuth":[]}],"tags":["Public API Ticketing"],"responses":{"200":{"description":"Check-in result.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"ticketId":{"type":"string"},"ticketingId":{"type":"string"},"ticketIds":{"type":"array","items":{"type":"string"}},"processedTicketCount":{"type":"number"},"checkinMode":{"enum":["TICKET","WALLET_CARD"],"type":"string"},"walletCredentialId":{"anyOf":[{"type":"string"},{"type":"null"}]},"holderUserId":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["ticketId","ticketingId","ticketIds","processedTicketCount","checkinMode","walletCredentialId","holderUserId"],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"ticketingId","schema":{"type":"string","minLength":1},"required":true}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"barcode":{"type":"string","default":""},"walletCredential":{"type":"string","default":""},"ticketId":{"type":"string","default":""},"action":{"enum":["CHECKIN","CHECKOUT"],"type":"string","default":"CHECKIN"},"categoryIds":{"type":"array","items":{"type":"string","minLength":1},"default":[]}},"required":[],"additionalProperties":false}}}}}},"/v1/public-api/ticketings/{ticketingId}/check-in-history":{"get":{"operationId":"listPublicApiTicketingCheckinHistory","description":"Lists recent check-in/check-out history for reconciliation.","security":[{"apiKeyAuth":[]}],"tags":["Public API Ticketing"],"responses":{"200":{"description":"Check-in history rows.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"checkInHistory":{"type":"array","items":{"type":"object","properties":{"checkInHistoryId":{"type":"string"},"ticketId":{"type":"string"},"timestamp":{"anyOf":[{"type":"number"},{"type":"null"}]},"action":{"anyOf":[{"type":"string"},{"type":"null"}]},"userId":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["checkInHistoryId","ticketId","timestamp","action","userId"],"additionalProperties":false}}},"required":["checkInHistory"],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"ticketingId","schema":{"type":"string","minLength":1},"required":true},{"in":"query","name":"limit","schema":{"type":"string"}}]}},"/v1/public-api/ticketings/{ticketingId}/orders":{"get":{"operationId":"listPublicApiTicketingOrders","description":"Lists orders for an organisation-owned ticketing.","security":[{"apiKeyAuth":[]}],"tags":["Public API Ticketing"],"responses":{"200":{"description":"Order list.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"orders":{"type":"array","items":{"type":"object","properties":{"orderId":{"type":"string"},"ticketingId":{"type":"string"},"couponId":{"anyOf":[{"type":"string"},{"type":"null"}]},"eventId":{"anyOf":[{"type":"string"},{"type":"null"}]},"organisationId":{"anyOf":[{"type":"string"},{"type":"null"}]},"buyerName":{"anyOf":[{"type":"string"},{"type":"null"}]},"buyerEmail":{"anyOf":[{"type":"string"},{"type":"null"}]},"buyerPhone":{"anyOf":[{"type":"string"},{"type":"null"}]},"buyerId":{"anyOf":[{"type":"string"},{"type":"null"}]},"buyerCountry":{"anyOf":[{"type":"string"},{"type":"null"}]},"buyerAddressStreet":{"anyOf":[{"type":"string"},{"type":"null"}]},"buyerAddressZip":{"anyOf":[{"type":"string"},{"type":"null"}]},"buyerAddressCity":{"anyOf":[{"type":"string"},{"type":"null"}]},"totalDiscount":{"anyOf":[{"type":"number"},{"type":"null"}]},"couponUsed":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"status":{"anyOf":[{"type":"string"},{"type":"null"}]},"totalPrice":{"anyOf":[{"type":"number"},{"type":"null"}]},"basePrice":{"anyOf":[{"type":"number"},{"type":"null"}]},"totalFee":{"anyOf":[{"type":"number"},{"type":"null"}]},"totalTax":{"anyOf":[{"type":"number"},{"type":"null"}]},"currency":{"anyOf":[{"type":"string"},{"type":"null"}]},"invoiceURL":{"anyOf":[{"type":"string"},{"type":"null"}]},"paymentProvider":{"anyOf":[{"type":"string"},{"type":"null"}]},"orderCreatedAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"orderPaidAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"confirmationEmailSentAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"taxStatement":{"anyOf":[{"type":"string"},{"type":"null"}]},"orderUpdatedAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"ticketCount":{"type":"number"},"cancelledTicketsCount":{"type":"number"},"refunds":{"type":"array","items":{"type":"object","properties":{"refundId":{"type":"string"},"status":{"anyOf":[{"type":"string"},{"type":"null"}]},"finalRefundAmount":{"anyOf":[{"type":"number"},{"type":"null"}]},"currency":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["refundId","status","finalRefundAmount","currency"],"additionalProperties":false}},"voucherId":{"anyOf":[{"type":"string"},{"type":"null"}]},"voucherLabel":{"anyOf":[{"type":"string"},{"type":"null"}]},"voucherCredit":{"anyOf":[{"type":"number"},{"type":"null"}]},"source":{"anyOf":[{"type":"string"},{"type":"null"}]},"stripePaymentIntentId":{"anyOf":[{"type":"string"},{"type":"null"}]},"stripeSessionId":{"anyOf":[{"type":"string"},{"type":"null"}]},"stripeCustomerId":{"anyOf":[{"type":"string"},{"type":"null"}]},"paymentMethodType":{"anyOf":[{"type":"string"},{"type":"null"}]},"stripeFee":{"anyOf":[{"type":"number"},{"type":"null"}]},"platformFee":{"anyOf":[{"type":"number"},{"type":"null"}]},"tickets":{"anyOf":[{"type":"array","items":{"type":"object","properties":{"ticketId":{"type":"string"},"status":{"anyOf":[{"type":"string"},{"type":"null"}]},"checkedIn":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"attended":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"name":{"anyOf":[{"type":"string"},{"type":"null"}]},"basePrice":{"anyOf":[{"type":"number"},{"type":"null"}]},"fee":{"anyOf":[{"type":"number"},{"type":"null"}]},"totalPrice":{"anyOf":[{"type":"number"},{"type":"null"}]},"discount":{"anyOf":[{"type":"number"},{"type":"null"}]},"currency":{"anyOf":[{"type":"string"},{"type":"null"}]},"barcode":{"anyOf":[{"type":"string"},{"type":"null"}]},"createdAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"updatedAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"categoryId":{"anyOf":[{"type":"string"},{"type":"null"}]},"orderId":{"anyOf":[{"type":"string"},{"type":"null"}]},"attendeeName":{"anyOf":[{"type":"string"},{"type":"null"}]},"attendeeEmail":{"anyOf":[{"type":"string"},{"type":"null"}]},"attendeePhone":{"anyOf":[{"type":"string"},{"type":"null"}]},"ownerName":{"anyOf":[{"type":"string"},{"type":"null"}]},"ownerEmail":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["ticketId","status","checkedIn","attended","name","basePrice","fee","totalPrice","discount","currency","barcode","createdAt","updatedAt","categoryId","orderId","attendeeName","attendeeEmail","attendeePhone","ownerName","ownerEmail"],"additionalProperties":false}},{"type":"null"}]}},"required":["orderId","ticketingId","couponId","eventId","organisationId","buyerName","buyerEmail","buyerPhone","buyerId","buyerCountry","buyerAddressStreet","buyerAddressZip","buyerAddressCity","totalDiscount","couponUsed","status","totalPrice","basePrice","totalFee","totalTax","currency","invoiceURL","paymentProvider","orderCreatedAt","orderPaidAt","confirmationEmailSentAt","taxStatement","orderUpdatedAt","ticketCount","cancelledTicketsCount","refunds","voucherId","voucherLabel","voucherCredit","source","stripePaymentIntentId","stripeSessionId","stripeCustomerId","paymentMethodType","stripeFee","platformFee","tickets"],"additionalProperties":false}},"nextCursor":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["orders","nextCursor"],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"ticketingId","schema":{"type":"string","minLength":1},"required":true},{"in":"query","name":"limit","schema":{"type":"string"}},{"in":"query","name":"status","schema":{"type":"string"}},{"in":"query","name":"cursor","schema":{"type":"string"}}]}},"/v1/public-api/ticketings/{ticketingId}/orders/{orderId}":{"get":{"operationId":"getPublicApiTicketingOrder","description":"Returns one order for an organisation-owned ticketing.","security":[{"apiKeyAuth":[]}],"tags":["Public API Ticketing"],"responses":{"200":{"description":"Order detail.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"orders":{"type":"array","items":{"type":"object","properties":{"orderId":{"type":"string"},"ticketingId":{"type":"string"},"couponId":{"anyOf":[{"type":"string"},{"type":"null"}]},"eventId":{"anyOf":[{"type":"string"},{"type":"null"}]},"organisationId":{"anyOf":[{"type":"string"},{"type":"null"}]},"buyerName":{"anyOf":[{"type":"string"},{"type":"null"}]},"buyerEmail":{"anyOf":[{"type":"string"},{"type":"null"}]},"buyerPhone":{"anyOf":[{"type":"string"},{"type":"null"}]},"buyerId":{"anyOf":[{"type":"string"},{"type":"null"}]},"buyerCountry":{"anyOf":[{"type":"string"},{"type":"null"}]},"buyerAddressStreet":{"anyOf":[{"type":"string"},{"type":"null"}]},"buyerAddressZip":{"anyOf":[{"type":"string"},{"type":"null"}]},"buyerAddressCity":{"anyOf":[{"type":"string"},{"type":"null"}]},"totalDiscount":{"anyOf":[{"type":"number"},{"type":"null"}]},"couponUsed":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"status":{"anyOf":[{"type":"string"},{"type":"null"}]},"totalPrice":{"anyOf":[{"type":"number"},{"type":"null"}]},"basePrice":{"anyOf":[{"type":"number"},{"type":"null"}]},"totalFee":{"anyOf":[{"type":"number"},{"type":"null"}]},"totalTax":{"anyOf":[{"type":"number"},{"type":"null"}]},"currency":{"anyOf":[{"type":"string"},{"type":"null"}]},"invoiceURL":{"anyOf":[{"type":"string"},{"type":"null"}]},"paymentProvider":{"anyOf":[{"type":"string"},{"type":"null"}]},"orderCreatedAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"orderPaidAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"confirmationEmailSentAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"taxStatement":{"anyOf":[{"type":"string"},{"type":"null"}]},"orderUpdatedAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"ticketCount":{"type":"number"},"cancelledTicketsCount":{"type":"number"},"refunds":{"type":"array","items":{"type":"object","properties":{"refundId":{"type":"string"},"status":{"anyOf":[{"type":"string"},{"type":"null"}]},"finalRefundAmount":{"anyOf":[{"type":"number"},{"type":"null"}]},"currency":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["refundId","status","finalRefundAmount","currency"],"additionalProperties":false}},"voucherId":{"anyOf":[{"type":"string"},{"type":"null"}]},"voucherLabel":{"anyOf":[{"type":"string"},{"type":"null"}]},"voucherCredit":{"anyOf":[{"type":"number"},{"type":"null"}]},"source":{"anyOf":[{"type":"string"},{"type":"null"}]},"stripePaymentIntentId":{"anyOf":[{"type":"string"},{"type":"null"}]},"stripeSessionId":{"anyOf":[{"type":"string"},{"type":"null"}]},"stripeCustomerId":{"anyOf":[{"type":"string"},{"type":"null"}]},"paymentMethodType":{"anyOf":[{"type":"string"},{"type":"null"}]},"stripeFee":{"anyOf":[{"type":"number"},{"type":"null"}]},"platformFee":{"anyOf":[{"type":"number"},{"type":"null"}]},"tickets":{"anyOf":[{"type":"array","items":{"type":"object","properties":{"ticketId":{"type":"string"},"status":{"anyOf":[{"type":"string"},{"type":"null"}]},"checkedIn":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"attended":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"name":{"anyOf":[{"type":"string"},{"type":"null"}]},"basePrice":{"anyOf":[{"type":"number"},{"type":"null"}]},"fee":{"anyOf":[{"type":"number"},{"type":"null"}]},"totalPrice":{"anyOf":[{"type":"number"},{"type":"null"}]},"discount":{"anyOf":[{"type":"number"},{"type":"null"}]},"currency":{"anyOf":[{"type":"string"},{"type":"null"}]},"barcode":{"anyOf":[{"type":"string"},{"type":"null"}]},"createdAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"updatedAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"categoryId":{"anyOf":[{"type":"string"},{"type":"null"}]},"orderId":{"anyOf":[{"type":"string"},{"type":"null"}]},"attendeeName":{"anyOf":[{"type":"string"},{"type":"null"}]},"attendeeEmail":{"anyOf":[{"type":"string"},{"type":"null"}]},"attendeePhone":{"anyOf":[{"type":"string"},{"type":"null"}]},"ownerName":{"anyOf":[{"type":"string"},{"type":"null"}]},"ownerEmail":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["ticketId","status","checkedIn","attended","name","basePrice","fee","totalPrice","discount","currency","barcode","createdAt","updatedAt","categoryId","orderId","attendeeName","attendeeEmail","attendeePhone","ownerName","ownerEmail"],"additionalProperties":false}},{"type":"null"}]}},"required":["orderId","ticketingId","couponId","eventId","organisationId","buyerName","buyerEmail","buyerPhone","buyerId","buyerCountry","buyerAddressStreet","buyerAddressZip","buyerAddressCity","totalDiscount","couponUsed","status","totalPrice","basePrice","totalFee","totalTax","currency","invoiceURL","paymentProvider","orderCreatedAt","orderPaidAt","confirmationEmailSentAt","taxStatement","orderUpdatedAt","ticketCount","cancelledTicketsCount","refunds","voucherId","voucherLabel","voucherCredit","source","stripePaymentIntentId","stripeSessionId","stripeCustomerId","paymentMethodType","stripeFee","platformFee","tickets"],"additionalProperties":false}},"nextCursor":{"anyOf":[{"type":"string"},{"type":"null"}]}},"required":["orders","nextCursor"],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"ticketingId","schema":{"type":"string","minLength":1},"required":true},{"in":"path","name":"orderId","schema":{"type":"string","minLength":1},"required":true}]}},"/v1/public-api/ticketings/{ticketingId}":{"get":{"operationId":"getPublicApiTicketingConfig","description":"Returns ticketing configuration for an organisation-owned ticketing.","security":[{"apiKeyAuth":[]}],"tags":["Public API Ticketing"],"responses":{"200":{"description":"Ticketing overview.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"overview":{"type":"object","properties":{"id":{"type":"string"},"ticketingId":{"type":"string"},"status":{"anyOf":[{"type":"string"},{"type":"null"}]},"currency":{"anyOf":[{"enum":["EUR"],"type":"string"},{"type":"null"}]},"createdAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"updatedAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"event":{"anyOf":[{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"imageUrl":{"type":"string"}},"required":["id"],"additionalProperties":false},{"type":"null"}]},"organisation":{"anyOf":[{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"imageUrl":{"type":"string"}},"required":["id"],"additionalProperties":false},{"type":"null"}]},"activated":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"sessionExpirationTimeSec":{"anyOf":[{"type":"number"},{"type":"null"}]},"sessionExtensionByStep":{"anyOf":[{"type":"object","properties":{"enabled":{"type":"boolean"},"stepSeconds":{"type":"number"},"maxSteps":{"type":"number"}},"required":[],"additionalProperties":false},{"type":"null"}]},"manualExtensionSeconds":{"anyOf":[{"type":"number"},{"type":"null"}]},"maxManualExtensions":{"anyOf":[{"type":"number"},{"type":"null"}]},"queueActivated":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"queueSize":{"anyOf":[{"type":"number"},{"type":"null"}]},"queueRefreshInterval":{"anyOf":[{"type":"number"},{"type":"null"}]},"paymentMethods":{"type":"array","items":{"enum":["STRIPE","PAYPAL","BITCOIN_LIGHTNING"],"type":"string"}},"orderForm":{"anyOf":[{"type":"string"},{"type":"null"}]},"showIncludingVAT":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"orderInvoiceGenerationEnabled":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"checkoutSectionsActivated":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"checkoutSections":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"},"ticketCategoryIds":{"type":"array","items":{"type":"string"}}},"required":[],"additionalProperties":false}},"checkoutActivated":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"requireCouponForPurchase":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"allowStandaloneAddonPurchases":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"claimingActivated":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"resaleActivated":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"checkinConfig":{"anyOf":[{"type":"object","properties":{"timeout":{"type":"number"},"groups":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"allowedCategoryIds":{"type":"array","items":{"type":"string"}}},"required":["allowedCategoryIds"],"additionalProperties":false}}},"required":["groups"],"additionalProperties":false},{"type":"null"}]},"activeCheckinGroup":{"anyOf":[{"type":"object","properties":{"name":{"type":"string"},"allowedCategoryIds":{"type":"array","items":{"type":"string"}}},"required":["allowedCategoryIds"],"additionalProperties":false},{"type":"null"}]},"checkinRestrictionActive":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"saleStartDateTime":{"anyOf":[{"type":"number"},{"type":"null"}]},"saleEndDateTime":{"anyOf":[{"type":"number"},{"type":"null"}]},"taxStatement":{"anyOf":[{"type":"string"},{"type":"null"}]},"checkoutStatusMessage":{"anyOf":[{"type":"string"},{"type":"null"}]},"orderStatusMessage":{"anyOf":[{"type":"string"},{"type":"null"}]},"waitlistURL":{"anyOf":[{"type":"string"},{"type":"null"}]},"preventMultipleSessions":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"preventMultipleSessionsScope":{"anyOf":[{"enum":["ticketing","organisation"],"type":"string"},{"type":"null"}]},"stopSalesAt":{"anyOf":[{"enum":["never","event_start","event_end","custom"],"type":"string"},{"type":"null"}]},"stopSalesAtCustomDateTime":{"anyOf":[{"type":"number"},{"type":"null"}]},"stripe":{"anyOf":[{"type":"object","properties":{"embeddedCheckout":{"type":"boolean"},"accountId":{"type":"string"},"billingCustomerId":{"type":"string"},"finishedOnboarding":{"type":"boolean"}},"required":[],"additionalProperties":false},{"type":"null"}]},"afterSalesLinks":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"description":{"type":"string"},"url":{"type":"string"},"icon":{"type":"string"}},"required":[],"additionalProperties":false}},"totalMainTicketsSold":{"anyOf":[{"type":"number"},{"type":"null"}]},"ticketCategories":{"anyOf":[{"type":"array","items":{"type":"object","properties":{"categoryId":{"type":"string"},"ticketingId":{"type":"string"},"name":{"anyOf":[{"type":"string"},{"type":"null"}]},"status":{"anyOf":[{"enum":["BUYABLE","SOLD_OUT","SALE_ENDED","HIDDEN","SALE_NOT_STARTED"],"type":"string"},{"type":"null"}]},"price":{"anyOf":[{"type":"number"},{"type":"null"}]},"currency":{"anyOf":[{"enum":["EUR"],"type":"string"},{"type":"null"}]},"userDataForm":{"anyOf":[{"type":"string"},{"type":"null"}]},"description":{"anyOf":[{"type":"string"},{"type":"null"}]},"coverImageURL":{"anyOf":[{"type":"string"},{"type":"null"}]},"basePrice":{"anyOf":[{"type":"number"},{"type":"null"}]},"taxPercentage":{"anyOf":[{"type":"number"},{"type":"null"}]},"visible":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"visibleFrom":{"anyOf":[{"type":"number"},{"type":"null"}]},"visibleTo":{"anyOf":[{"type":"number"},{"type":"null"}]},"buyableFrom":{"anyOf":[{"type":"number"},{"type":"null"}]},"buyableTo":{"anyOf":[{"type":"number"},{"type":"null"}]},"buyable":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"fee":{"anyOf":[{"type":"number"},{"type":"null"}]},"addonParentCategoryIds":{"type":"array","items":{"type":"string"}},"onlyAddon":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"countsForAttendance":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"addonIds":{"type":"array","items":{"type":"string"}},"emoji":{"anyOf":[{"type":"string"},{"type":"null"}]},"ticketsLeft":{"anyOf":[{"type":"number"},{"type":"null"}]},"ticketGroupSize":{"anyOf":[{"type":"number"},{"type":"null"}]},"maxPerSession":{"anyOf":[{"type":"number"},{"type":"null"}]},"forceStatus":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"ticketsLeftEnabled":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"isSoldOut":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"waitlistEnabled":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"fullDescription":{"anyOf":[{"type":"string"},{"type":"null"}]},"source":{"anyOf":[{"enum":["TICKET_TAILOR"],"type":"string"},{"type":"null"}]},"groupIds":{"type":"array","items":{"type":"string"}},"permissionIds":{"type":"array","items":{"type":"string"}},"tags":{"type":"array","items":{"type":"string"}}},"required":["categoryId","ticketingId","name","status","price","currency","userDataForm","description","coverImageURL","basePrice","taxPercentage","visible","visibleFrom","visibleTo","buyableFrom","buyableTo","buyable","fee","addonParentCategoryIds","onlyAddon","countsForAttendance","addonIds","emoji","ticketsLeft","ticketGroupSize","maxPerSession","forceStatus","ticketsLeftEnabled","isSoldOut","waitlistEnabled","fullDescription","source","groupIds","permissionIds","tags"],"additionalProperties":false}},{"type":"null"}]}},"required":["id","ticketingId","status","currency","createdAt","updatedAt","event","organisation","activated","sessionExpirationTimeSec","sessionExtensionByStep","manualExtensionSeconds","maxManualExtensions","queueActivated","queueSize","queueRefreshInterval","paymentMethods","orderForm","showIncludingVAT","orderInvoiceGenerationEnabled","checkoutSectionsActivated","checkoutSections","checkoutActivated","requireCouponForPurchase","allowStandaloneAddonPurchases","claimingActivated","resaleActivated","checkinConfig","activeCheckinGroup","checkinRestrictionActive","saleStartDateTime","saleEndDateTime","taxStatement","checkoutStatusMessage","orderStatusMessage","waitlistURL","preventMultipleSessions","preventMultipleSessionsScope","stopSalesAt","stopSalesAtCustomDateTime","stripe","afterSalesLinks","totalMainTicketsSold","ticketCategories"],"additionalProperties":false}},"required":["overview"],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"ticketingId","schema":{"type":"string","minLength":1},"required":true}]},"patch":{"operationId":"patchPublicApiTicketingConfig","description":"Updates checkout, sales-window, check-in, form and after-sales ticketing config fields.","security":[{"apiKeyAuth":[]}],"tags":["Public API Ticketing"],"responses":{"200":{"description":"Ticketing updated.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{},"required":[],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"ticketingId","schema":{"type":"string","minLength":1},"required":true}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"activated":{"type":"boolean"},"checkoutActivated":{"type":"boolean"},"requireCouponForPurchase":{"type":"boolean"},"allowStandaloneAddonPurchases":{"type":"boolean"},"claimingActivated":{"type":"boolean"},"resaleActivated":{"type":"boolean"},"checkoutSectionsActivated":{"type":"boolean"},"showIncludingVAT":{"type":"boolean"},"orderInvoiceGenerationEnabled":{"type":"boolean"},"queueActivated":{"type":"boolean"},"queueSize":{"type":"number"},"queueRefreshInterval":{"type":"number"},"sessionExpirationTimeSec":{"type":"number"},"manualExtensionSeconds":{"type":"number"},"maxManualExtensions":{"type":"number"},"preventMultipleSessions":{"type":"boolean"},"preventMultipleSessionsScope":{"enum":["ticketing","organisation"],"type":"string"},"stopSalesAt":{"enum":["never","event_start","event_end","custom"],"type":"string"},"stopSalesAtCustomDateTime":{"type":"number"},"saleStartDateTime":{"type":"number"},"saleEndDateTime":{"type":"number"},"checkoutSections":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string","minLength":1},"description":{"type":"string"},"ticketCategoryIds":{"type":"array","items":{"type":"string"}}},"required":["name","ticketCategoryIds"],"additionalProperties":false}},"checkinRestrictionActive":{"type":"boolean"},"checkinConfig":{"type":"object","properties":{"timeoutMs":{"type":"number"},"groups":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","minLength":1},"allowedCategories":{"type":"array","items":{"type":"string"}}},"required":["name","allowedCategories"],"additionalProperties":false}}},"required":["timeoutMs","groups"],"additionalProperties":false},"activeCheckinGroup":{"anyOf":[{"type":"object","properties":{"name":{"type":"string","minLength":1},"allowedCategories":{"type":"array","items":{"type":"string"}}},"required":["name","allowedCategories"],"additionalProperties":false},{"type":"null"}]},"orderForm":{"type":"string"},"taxStatement":{"type":"string"},"checkoutStatusMessage":{"type":"string"},"orderStatusMessage":{"type":"string"},"waitlistURL":{"type":"string"},"stripe":{"type":"object","properties":{"embeddedCheckout":{"type":"boolean"},"accountId":{"type":"string"},"billingCustomerId":{"type":"string"},"finishedOnboarding":{"type":"boolean"}},"required":[],"additionalProperties":false},"afterSalesLinks":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"description":{"type":"string"},"url":{"type":"string"},"icon":{"type":"string"}},"required":[],"additionalProperties":false}},"recalculatePricing":{"type":"boolean"}},"required":[],"additionalProperties":false}}}}}},"/v1/public-api/ticketings/{ticketingId}/categories":{"get":{"operationId":"listPublicApiTicketingCategories","description":"Lists ticket categories with private counters for an organisation-owned ticketing.","security":[{"apiKeyAuth":[]}],"tags":["Public API Ticketing"],"responses":{"200":{"description":"Ticket categories.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"categories":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"category":{"type":"object","properties":{"categoryId":{"type":"string"},"ticketingId":{"type":"string"},"name":{"anyOf":[{"type":"string"},{"type":"null"}]},"status":{"anyOf":[{"type":"string"},{"type":"null"}]},"price":{"anyOf":[{"type":"number"},{"type":"null"}]},"currency":{"anyOf":[{"type":"string"},{"type":"null"}]},"userDataForm":{"anyOf":[{"type":"string"},{"type":"null"}]},"description":{"anyOf":[{"type":"string"},{"type":"null"}]},"coverImageURL":{"anyOf":[{"type":"string"},{"type":"null"}]},"basePrice":{"anyOf":[{"type":"number"},{"type":"null"}]},"taxPercentage":{"anyOf":[{"type":"number"},{"type":"null"}]},"visible":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"visibleFrom":{"anyOf":[{"type":"number"},{"type":"null"}]},"visibleTo":{"anyOf":[{"type":"number"},{"type":"null"}]},"buyableFrom":{"anyOf":[{"type":"number"},{"type":"null"}]},"buyableTo":{"anyOf":[{"type":"number"},{"type":"null"}]},"buyable":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"fee":{"anyOf":[{"type":"number"},{"type":"null"}]},"addonParentCategoryIds":{"type":"array","items":{"type":"string"}},"onlyAddon":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"countsForAttendance":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"addonIds":{"type":"array","items":{"type":"string"}},"emoji":{"anyOf":[{"type":"string"},{"type":"null"}]},"ticketsLeft":{"anyOf":[{"type":"number"},{"type":"null"}]},"ticketGroupSize":{"anyOf":[{"type":"number"},{"type":"null"}]},"maxPerSession":{"anyOf":[{"type":"number"},{"type":"null"}]},"forceStatus":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"ticketsLeftEnabled":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"isSoldOut":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"waitlistEnabled":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"fullDescription":{"anyOf":[{"type":"string"},{"type":"null"}]},"source":{"anyOf":[{"type":"string"},{"type":"null"}]},"groupIds":{"type":"array","items":{"type":"string"}},"permissionIds":{"type":"array","items":{"type":"string"}},"tags":{"type":"array","items":{"type":"string"}}},"required":["categoryId","ticketingId","name","status","price","currency","userDataForm","description","coverImageURL","basePrice","taxPercentage","visible","visibleFrom","visibleTo","buyableFrom","buyableTo","buyable","fee","addonParentCategoryIds","onlyAddon","countsForAttendance","addonIds","emoji","ticketsLeft","ticketGroupSize","maxPerSession","forceStatus","ticketsLeftEnabled","isSoldOut","waitlistEnabled","fullDescription","source","groupIds","permissionIds","tags"],"additionalProperties":false},"privateData":{"anyOf":[{"type":"object","properties":{"amountAvailable":{"anyOf":[{"type":"number"},{"type":"null"}]},"amountReserved":{"anyOf":[{"type":"number"},{"type":"null"}]},"amountPaymentPending":{"anyOf":[{"type":"number"},{"type":"null"}]},"amountSold":{"anyOf":[{"type":"number"},{"type":"null"}]},"amountCancelled":{"anyOf":[{"type":"number"},{"type":"null"}]},"amountReset":{"anyOf":[{"type":"number"},{"type":"null"}]},"amountCheckedIn":{"anyOf":[{"type":"number"},{"type":"null"}]},"amountAttended":{"anyOf":[{"type":"number"},{"type":"null"}]},"amountLegacy":{"anyOf":[{"type":"number"},{"type":"null"}]},"createdAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"updatedAt":{"anyOf":[{"type":"number"},{"type":"null"}]}},"required":["amountAvailable","amountReserved","amountPaymentPending","amountSold","amountCancelled","amountReset","amountCheckedIn","amountAttended","amountLegacy","createdAt","updatedAt"],"additionalProperties":false},{"type":"null"}]}},"required":["id","category","privateData"],"additionalProperties":false}}},"required":["categories"],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"ticketingId","schema":{"type":"string","minLength":1},"required":true}]},"post":{"operationId":"createPublicApiTicketingCategory","description":"Creates a ticket category and initial inventory for an organisation-owned ticketing.","security":[{"apiKeyAuth":[]}],"tags":["Public API Ticketing"],"responses":{"200":{"description":"Category created.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"categoryId":{"type":"string"}},"required":["categoryId"],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"ticketingId","schema":{"type":"string","minLength":1},"required":true}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"anyOf":[{"type":"object","properties":{"categoryData":{"type":"object","properties":{"name":{"type":"string","minLength":1},"basePrice":{"type":"number"},"description":{"type":"string"},"visible":{"type":"boolean"},"buyable":{"type":"boolean"},"amount":{"type":"number"},"fee":{"type":"number"},"taxPercentage":{"type":"number"},"maxPerSession":{"type":"number"},"coverImageURL":{"type":"string"},"coverImage":{"type":"object","properties":{"id":{"type":"string"},"originalUrl":{"type":"string"},"thumbnailUrl":{"type":"string"},"blurhash":{"type":"string"},"dominantColorHex":{"type":"string"},"altText":{"type":"string"},"width":{"type":"number"},"height":{"type":"number"}},"required":["id","originalUrl","width","height"],"additionalProperties":false},"addonParentCategoriesIds":{"type":"array","items":{"type":"string"}},"onlyAddon":{"type":"boolean"},"ticketGroupSize":{"type":"number"},"forceStatus":{"type":"boolean"},"userDataForm":{"type":"string"},"buyableFrom":{"type":"string"},"buyableTo":{"type":"string"},"visibleFrom":{"type":"string"},"visibleTo":{"type":"string"},"emoji":{"type":"string"},"sourceSaleId":{"type":"string","minLength":1},"sourceCategoryId":{"type":"string","minLength":1}},"required":["name","basePrice"],"additionalProperties":false}},"required":["categoryData"]},{"type":"object","properties":{"name":{"type":"string","minLength":1},"basePrice":{"type":"number"},"description":{"type":"string"},"visible":{"type":"boolean"},"buyable":{"type":"boolean"},"amount":{"type":"number"},"fee":{"type":"number"},"taxPercentage":{"type":"number"},"maxPerSession":{"type":"number"},"coverImageURL":{"type":"string"},"coverImage":{"type":"object","properties":{"id":{"type":"string"},"originalUrl":{"type":"string"},"thumbnailUrl":{"type":"string"},"blurhash":{"type":"string"},"dominantColorHex":{"type":"string"},"altText":{"type":"string"},"width":{"type":"number"},"height":{"type":"number"}},"required":["id","originalUrl","width","height"],"additionalProperties":false},"addonParentCategoriesIds":{"type":"array","items":{"type":"string"}},"onlyAddon":{"type":"boolean"},"ticketGroupSize":{"type":"number"},"forceStatus":{"type":"boolean"},"userDataForm":{"type":"string"},"buyableFrom":{"type":"string"},"buyableTo":{"type":"string"},"visibleFrom":{"type":"string"},"visibleTo":{"type":"string"},"emoji":{"type":"string"},"sourceSaleId":{"type":"string","minLength":1},"sourceCategoryId":{"type":"string","minLength":1}},"required":["name","basePrice"],"additionalProperties":false}]}}}}}},"/v1/public-api/ticketings/{ticketingId}/checkout-sections":{"post":{"operationId":"replacePublicApiTicketingCheckoutSections","description":"Replaces checkout sections for an organisation-owned ticketing. Each section groups ticket category ids for the public checkout.","security":[{"apiKeyAuth":[]}],"tags":["Public API Ticketing"],"responses":{"200":{"description":"Checkout sections saved.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{},"required":[],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"ticketingId","schema":{"type":"string","minLength":1},"required":true}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"activate":{"type":"boolean"},"checkoutSections":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string","minLength":1},"description":{"type":"string"},"ticketCategoryIds":{"type":"array","items":{"type":"string"}}},"required":["name","ticketCategoryIds"],"additionalProperties":false}}},"required":["checkoutSections"],"additionalProperties":false}}}}}},"/v1/public-api/ticketings/{ticketingId}/categories/{categoryId}":{"get":{"operationId":"getPublicApiTicketingCategory","description":"Returns one ticket category from an organisation-owned ticketing.","security":[{"apiKeyAuth":[]}],"tags":["Public API Ticketing"],"responses":{"200":{"description":"Ticket category.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"categories":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"category":{"type":"object","properties":{"categoryId":{"type":"string"},"ticketingId":{"type":"string"},"name":{"anyOf":[{"type":"string"},{"type":"null"}]},"status":{"anyOf":[{"type":"string"},{"type":"null"}]},"price":{"anyOf":[{"type":"number"},{"type":"null"}]},"currency":{"anyOf":[{"type":"string"},{"type":"null"}]},"userDataForm":{"anyOf":[{"type":"string"},{"type":"null"}]},"description":{"anyOf":[{"type":"string"},{"type":"null"}]},"coverImageURL":{"anyOf":[{"type":"string"},{"type":"null"}]},"basePrice":{"anyOf":[{"type":"number"},{"type":"null"}]},"taxPercentage":{"anyOf":[{"type":"number"},{"type":"null"}]},"visible":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"visibleFrom":{"anyOf":[{"type":"number"},{"type":"null"}]},"visibleTo":{"anyOf":[{"type":"number"},{"type":"null"}]},"buyableFrom":{"anyOf":[{"type":"number"},{"type":"null"}]},"buyableTo":{"anyOf":[{"type":"number"},{"type":"null"}]},"buyable":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"fee":{"anyOf":[{"type":"number"},{"type":"null"}]},"addonParentCategoryIds":{"type":"array","items":{"type":"string"}},"onlyAddon":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"countsForAttendance":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"addonIds":{"type":"array","items":{"type":"string"}},"emoji":{"anyOf":[{"type":"string"},{"type":"null"}]},"ticketsLeft":{"anyOf":[{"type":"number"},{"type":"null"}]},"ticketGroupSize":{"anyOf":[{"type":"number"},{"type":"null"}]},"maxPerSession":{"anyOf":[{"type":"number"},{"type":"null"}]},"forceStatus":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"ticketsLeftEnabled":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"isSoldOut":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"waitlistEnabled":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"fullDescription":{"anyOf":[{"type":"string"},{"type":"null"}]},"source":{"anyOf":[{"type":"string"},{"type":"null"}]},"groupIds":{"type":"array","items":{"type":"string"}},"permissionIds":{"type":"array","items":{"type":"string"}},"tags":{"type":"array","items":{"type":"string"}}},"required":["categoryId","ticketingId","name","status","price","currency","userDataForm","description","coverImageURL","basePrice","taxPercentage","visible","visibleFrom","visibleTo","buyableFrom","buyableTo","buyable","fee","addonParentCategoryIds","onlyAddon","countsForAttendance","addonIds","emoji","ticketsLeft","ticketGroupSize","maxPerSession","forceStatus","ticketsLeftEnabled","isSoldOut","waitlistEnabled","fullDescription","source","groupIds","permissionIds","tags"],"additionalProperties":false},"privateData":{"anyOf":[{"type":"object","properties":{"amountAvailable":{"anyOf":[{"type":"number"},{"type":"null"}]},"amountReserved":{"anyOf":[{"type":"number"},{"type":"null"}]},"amountPaymentPending":{"anyOf":[{"type":"number"},{"type":"null"}]},"amountSold":{"anyOf":[{"type":"number"},{"type":"null"}]},"amountCancelled":{"anyOf":[{"type":"number"},{"type":"null"}]},"amountReset":{"anyOf":[{"type":"number"},{"type":"null"}]},"amountCheckedIn":{"anyOf":[{"type":"number"},{"type":"null"}]},"amountAttended":{"anyOf":[{"type":"number"},{"type":"null"}]},"amountLegacy":{"anyOf":[{"type":"number"},{"type":"null"}]},"createdAt":{"anyOf":[{"type":"number"},{"type":"null"}]},"updatedAt":{"anyOf":[{"type":"number"},{"type":"null"}]}},"required":["amountAvailable","amountReserved","amountPaymentPending","amountSold","amountCancelled","amountReset","amountCheckedIn","amountAttended","amountLegacy","createdAt","updatedAt"],"additionalProperties":false},{"type":"null"}]}},"required":["id","category","privateData"],"additionalProperties":false}}},"required":["categories"],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"ticketingId","schema":{"type":"string","minLength":1},"required":true},{"in":"path","name":"categoryId","schema":{"type":"string","minLength":1},"required":true}]},"patch":{"operationId":"patchPublicApiTicketingCategory","description":"Updates a ticket category in an organisation-owned ticketing.","security":[{"apiKeyAuth":[]}],"tags":["Public API Ticketing"],"responses":{"200":{"description":"Category updated.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{},"required":[],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"ticketingId","schema":{"type":"string","minLength":1},"required":true},{"in":"path","name":"categoryId","schema":{"type":"string","minLength":1},"required":true}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"categoryData":{"type":"object","properties":{"name":{"type":"string","minLength":1},"basePrice":{"type":"number"},"description":{"type":"string"},"visible":{"type":"boolean"},"buyable":{"type":"boolean"},"amount":{"type":"number"},"fee":{"type":"number"},"taxPercentage":{"type":"number"},"maxPerSession":{"type":"number"},"coverImageURL":{"type":"string"},"coverImage":{"anyOf":[{"type":"object","properties":{"id":{"type":"string"},"originalUrl":{"type":"string"},"thumbnailUrl":{"type":"string"},"blurhash":{"type":"string"},"dominantColorHex":{"type":"string"},"altText":{"type":"string"},"width":{"type":"number"},"height":{"type":"number"}},"required":["id","originalUrl","width","height"],"additionalProperties":false},{"type":"null"}]},"addonParentCategoriesIds":{"type":"array","items":{"type":"string"}},"onlyAddon":{"type":"boolean"},"ticketGroupSize":{"type":"number"},"forceStatus":{"type":"boolean"},"userDataForm":{"type":"string"},"buyableFrom":{"type":"string"},"buyableTo":{"type":"string"},"visibleFrom":{"type":"string"},"visibleTo":{"type":"string"},"status":{"type":"string"},"currency":{"type":"string"},"emoji":{"type":"string"},"permissions":{"type":"array","items":{"type":"string"}},"groups":{"type":"array","items":{"type":"string"}},"countsForAttendance":{"type":"boolean"},"ticketsLeft":{"type":"number"}},"required":[],"additionalProperties":false}},"required":["categoryData"]}}}}},"delete":{"operationId":"deletePublicApiTicketingCategory","description":"Deletes a ticket category. Use forceDelete=true to override the sold-ticket guard.","security":[{"apiKeyAuth":[]}],"tags":["Public API Ticketing"],"responses":{"200":{"description":"Category deleted.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{},"required":[],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"ticketingId","schema":{"type":"string","minLength":1},"required":true},{"in":"path","name":"categoryId","schema":{"type":"string","minLength":1},"required":true},{"in":"query","name":"forceDelete","schema":{"enum":["true","false"],"type":"string"}}]}},"/v1/public-api/events/{eventId}/timetables":{"get":{"operationId":"listPublicApiEventTimetables","description":"Lists timetable documents for an organisation-owned event.","security":[{"apiKeyAuth":[]}],"tags":["Public API Timetables"],"responses":{"200":{"description":"Timetable rows.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"timetables":{"type":"array","items":{"type":"object","properties":{"timetableId":{"type":"string"},"name":{"anyOf":[{"type":"string"},{"type":"null"}]},"description":{"anyOf":[{"type":"string"},{"type":"null"}]},"webURL":{"anyOf":[{"type":"string"},{"type":"null"}]},"createdAt":{"anyOf":[{"type":"number"},{"type":"null"}]}},"required":["timetableId","name","description","webURL","createdAt"],"additionalProperties":false}}},"required":["timetables"],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"eventId","schema":{"type":"string","minLength":1},"required":true}]},"post":{"operationId":"createPublicApiEventTimetable","description":"Creates a timetable document for an organisation-owned event.","security":[{"apiKeyAuth":[]}],"tags":["Public API Timetables"],"responses":{"201":{"description":"Created timetable id.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"timetableId":{"type":"string"}},"required":["timetableId"],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"eventId","schema":{"type":"string","minLength":1},"required":true}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","maxLength":200}},"required":[],"additionalProperties":false}}}}}},"/v1/public-api/timetables/{timetableId}":{"patch":{"operationId":"patchPublicApiTimetable","description":"Updates a timetable document.","security":[{"apiKeyAuth":[]}],"tags":["Public API Timetables"],"responses":{"200":{"description":"Updated.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{},"required":[]}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"timetableId","schema":{"type":"string","minLength":1},"required":true}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"anyOf":[{"type":"string","maxLength":200},{"type":"null"}]},"description":{"anyOf":[{"type":"string","maxLength":2000},{"type":"null"}]},"webURL":{"anyOf":[{"type":"string","maxLength":500},{"type":"null"}]}},"required":[],"additionalProperties":false}}}}},"delete":{"operationId":"deletePublicApiTimetable","description":"Deletes a timetable document and unlinks member events.","security":[{"apiKeyAuth":[]}],"tags":["Public API Timetables"],"responses":{"200":{"description":"Deleted.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{},"required":[]}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"timetableId","schema":{"type":"string","minLength":1},"required":true}]}},"/v1/public-api/timetables/{timetableId}/events":{"get":{"operationId":"listPublicApiTimetableChildEvents","description":"Lists session events assigned to a timetable.","security":[{"apiKeyAuth":[]}],"tags":["Public API Timetables"],"responses":{"200":{"description":"Timetable child events.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"events":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"anyOf":[{"type":"string"},{"type":"null"}]},"description":{"anyOf":[{"type":"string"},{"type":"null"}]},"startDateTime":{"anyOf":[{"type":"number"},{"type":"null"}]},"endDateTime":{"anyOf":[{"type":"number"},{"type":"null"}]},"timezone":{"anyOf":[{"type":"string"},{"type":"null"}]},"tags":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"hideTime":{"anyOf":[{"type":"boolean"},{"type":"null"}]},"parentEventGroups":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"inTimetableIds":{"type":"array","items":{"type":"string"}},"atMapLocationIds":{"type":"array","items":{"type":"string"}},"linkedOrganisationIds":{"type":"array","items":{"type":"string"}},"coverImageURL":{"anyOf":[{"type":"string"},{"type":"null"}]},"image":{"anyOf":[{"type":"object","properties":{"id":{"type":"string"},"originalUrl":{"type":"string"},"thumbnailUrl":{"type":"string"},"blurhash":{"type":"string"},"dominantColorHex":{"type":"string"},"altText":{"type":"string"},"width":{"type":"number"},"height":{"type":"number"}},"required":["id","originalUrl","width","height"],"additionalProperties":false},{"type":"null"}]}},"required":["id","name","description","startDateTime","endDateTime","timezone","tags","hideTime","parentEventGroups","inTimetableIds","atMapLocationIds","linkedOrganisationIds","coverImageURL","image"],"additionalProperties":false}}},"required":["events"],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"timetableId","schema":{"type":"string","minLength":1},"required":true}]},"post":{"operationId":"createPublicApiTimetableChildEvent","description":"Creates an event document assigned to a timetable.","security":[{"apiKeyAuth":[]}],"tags":["Public API Timetables"],"responses":{"201":{"description":"Created event id.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"eventId":{"type":"string"}},"required":["eventId"],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"timetableId","schema":{"type":"string","minLength":1},"required":true}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":500},"description":{"type":"string","maxLength":50000},"startDateTime":{"type":"number","minimum":0},"endDateTime":{"type":"number","minimum":0},"visible":{"type":"boolean"},"listed":{"type":"boolean"},"timezone":{"type":"string","maxLength":120},"tags":{"type":"array","items":{"type":"string"}},"venueId":{"type":"string","minLength":1},"hideTime":{"type":"boolean"},"eventImages":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"originalUrl":{"type":"string"},"thumbnailUrl":{"type":"string"},"blurhash":{"type":"string"},"dominantColorHex":{"type":"string"},"altText":{"type":"string"},"width":{"type":"number"},"height":{"type":"number"}},"required":["id","originalUrl","width","height"],"additionalProperties":false}},"coverImageURL":{"type":"string","maxLength":2000},"profilePictureURL":{"type":"string","maxLength":2000},"linktreeId":{"type":"string","minLength":1,"maxLength":200},"linkedOrganisationIds":{"type":"array","items":{"type":"string"}},"atMapLocationIds":{"type":"array","items":{"type":"string"}},"availableGroups":{"type":"array","items":{"type":"string"}},"parentEventGroups":{"type":"array","items":{"type":"string"}},"ticketingMode":{"enum":["integrated","webview","disabled"],"type":"string"}},"required":["name","startDateTime","endDateTime"],"additionalProperties":false}}}}}},"/v1/public-api/timetables/{timetableId}/events/{childEventId}":{"patch":{"operationId":"patchPublicApiTimetableChildEvent","description":"Updates a session event assigned to a timetable.","security":[{"apiKeyAuth":[]}],"tags":["Public API Timetables"],"responses":{"200":{"description":"Updated.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{},"required":[]}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"timetableId","schema":{"type":"string","minLength":1},"required":true},{"in":"path","name":"childEventId","schema":{"type":"string","minLength":1},"required":true}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":500},"description":{"type":"string","maxLength":50000},"startDateTime":{"type":"number","minimum":0},"endDateTime":{"type":"number","minimum":0},"visible":{"type":"boolean"},"listed":{"type":"boolean"},"timezone":{"type":"string","maxLength":120},"tags":{"type":"array","items":{"type":"string"}},"venueId":{"type":"string","minLength":1},"hideTime":{"type":"boolean"},"eventImages":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"originalUrl":{"type":"string"},"thumbnailUrl":{"type":"string"},"blurhash":{"type":"string"},"dominantColorHex":{"type":"string"},"altText":{"type":"string"},"width":{"type":"number"},"height":{"type":"number"}},"required":["id","originalUrl","width","height"],"additionalProperties":false}},"coverImageURL":{"type":"string","maxLength":2000},"profilePictureURL":{"type":"string","maxLength":2000},"linktreeId":{"type":"string","minLength":1,"maxLength":200},"linkedOrganisationIds":{"type":"array","items":{"type":"string"}},"atMapLocationIds":{"type":"array","items":{"type":"string"}},"availableGroups":{"type":"array","items":{"type":"string"}},"parentEventGroups":{"type":"array","items":{"type":"string"}},"ticketingMode":{"enum":["integrated","webview","disabled"],"type":"string"}},"required":[],"additionalProperties":false}}}}},"delete":{"operationId":"deletePublicApiTimetableChildEvent","description":"Unlinks a session event from a timetable.","security":[{"apiKeyAuth":[]}],"tags":["Public API Timetables"],"responses":{"200":{"description":"Deleted.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{},"required":[]}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"timetableId","schema":{"type":"string","minLength":1},"required":true},{"in":"path","name":"childEventId","schema":{"type":"string","minLength":1},"required":true}]}},"/v1/public-api/events/{eventId}/maps":{"get":{"operationId":"listPublicApiEventMaps","description":"Lists maps for an organisation-owned event.","security":[{"apiKeyAuth":[]}],"tags":["Public API Maps"],"responses":{"200":{"description":"Event maps.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"maps":{"type":"array","items":{"type":"object","properties":{},"required":[]}}},"required":["maps"],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"eventId","schema":{"type":"string","minLength":1},"required":true}]},"post":{"operationId":"createPublicApiEventMap","description":"Creates a map for an organisation-owned event.","security":[{"apiKeyAuth":[]}],"tags":["Public API Maps"],"responses":{"200":{"description":"Map created.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"mapId":{"type":"string"}},"required":["mapId"],"additionalProperties":false}},"required":["success","data"],"additionalProperties":false}}}}},"parameters":[{"in":"path","name":"eventId","schema":{"type":"string","minLength":1},"required":true}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1},"mapType":{"type":"string"}},"required":["name"],"additionalProperties":false}}}}}},"/v1/public-api/events/{eventId}/maps/{mapId}":{"get":{"operationId":"getPublicApiEventMap","description":"Returns one event map with locations, areas, and scene objects.","security":[{"apiKeyAuth":[]}],"tags":["Public API Maps"],"responses":{"200":{"description":"Map detail.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"const":true},"data":{"type":"object","properties":{"map":{"type":"object","properties":{"id":{"type":"string"},"name":{"anyOf":[{"type":"string"},{"type":"null"}]},"availableTags":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"initialCameraTilt":{"anyOf":[{"type":"number"},{"type":"null"}]},"initialCameraBearing":{"anyOf":[{"type":"number"},{"type":"null"}]},"initialCameraZoom":{"anyOf":[{"type":"number"},{"type":"null"}]},"initialCameraTarget":{"anyOf":[{"type":"object","properties":{"longitude":{"type":"number"},"latitude":{"type":"number"}},"required":["longitude","latitude"],"additionalProperties":false},{"type":"null"}]},"mapStyle":{"anyOf":[{"type":"string"},{"type":"null"}]},"cameraBoundaries":{"anyOf":[{"type":"array","items":{"type":"object","properties":{"longitude":{"type":"number"},"latitude":{"type":"number"}},"required":["longitude","latitude"],"additionalProperties":false}},{"type":"
[...]
